GNU bug report logs - #844
23.0.60; ediff-merge-revision: Buffer exceeds maximum size

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: kifer@HIDDEN; Keywords: unreproducible moreinfo; merged with #837, #841, #843, #2706; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 2706 <at> debbugs.gnu.org and Martin <nospam@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #2705 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 844-quiet@HIDDEN:


Received: (at 844-quiet) by emacsbugs.donarmstrong.com; 21 Mar 2009 03:52:23 +0000
From jasonrumney@HIDDEN Fri Mar 20 20:52:22 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=unavailable
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from ti-out-0910.google.com (ti-out-0910.google.com [209.85.142.184])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2L3qEt9015269;
	Fri, 20 Mar 2009 20:52:15 -0700
Received: by ti-out-0910.google.com with SMTP id u3so1125980tia.1
        for <multiple recipients>; Fri, 20 Mar 2009 20:52:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:message-id:date:from
         :user-agent:mime-version:to:cc:subject:content-type
         :content-transfer-encoding;
        bh=47N2x0kgEXrb7PZjMTwoStbLdicSucUMmuq4PPZI+yY=;
        b=GhbluYINiIDb6uIuLIsh1Ly0jth03NzO9h6ODQ66u/Qy2cbX+4WZOquF8/aMZ3Mzyc
         bkDXMRU7a0g1YANa1Toqbr46JA4+/jCsuXc3NvqBACKLUUQ+mey1UVpoNPxZPHD1p1QJ
         uamh7FKQz2s6sJK9vsJss8DnaQaTB8uOO+pEw=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
         :content-type:content-transfer-encoding;
        b=wFsr/lXjpZNZsetN/RAtNWTCumsuD69AGnmgAo1BvlUVS10FuTbKIVE2xmAOF9AaHn
         UMpcqPYgkYoADUjpf3ecegpzXYd4oUJc6cBzhmxr5Mve4FTGkcrpe8RNZv5MAGCADVbI
         FsbbPbCetdk7PlUfQ+1x7hfPV4ez6wvhdS9Dk=
Received: by 10.110.50.19 with SMTP id x19mr2242976tix.42.1237607533369;
        Fri, 20 Mar 2009 20:52:13 -0700 (PDT)
Received: from ?192.168.249.26? ([124.13.2.92])
        by mx.google.com with ESMTPS id 25sm2898533tif.32.2009.03.20.20.52.11
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Fri, 20 Mar 2009 20:52:12 -0700 (PDT)
Sender: Jason Rumney <jasonrumney@HIDDEN>
Message-ID: <49C46452.9060800@HIDDEN>
Date: Sat, 21 Mar 2009 11:51:46 +0800
From: Jason Rumney <jasonr@HIDDEN>
User-Agent: Thunderbird 2.0.0.19 (Windows/20081209)
MIME-Version: 1.0
To: Emacs bug Tracking System <control <at> debbugs.gnu.org>
CC: 844-quiet <at> debbugs.gnu.org
Subject: previously closed unreproducible bug still there
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

unarchive 837
reopen 837
merge 837 2706
thanks

Reopened, as bug has been reported by another user and reproduced (once) 
by a developer, though method of reproducing it is still uncertain.



Acknowledgement sent to Jason Rumney <jasonr@HIDDEN>:
Extra info received and filed, but not forwarded. Full text available.
Information stored :
bug#844; Package emacs. Full text available.
Merged 837 841 843 844 2705 2706. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug reopened, originator not changed. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug unarchived. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug archived. Request was from Debbugs Internal Request <don@HIDDEN> to internal_control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.3 required=4.0 tests=AWL,BAYES_00,GMAIL
	autolearn=no version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:23:01 +0000
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830Mwa6001259
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:22:59 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 5EEE757E339; Tue,  2 Sep 2008 20:25:21 -0400 (EDT)
To: "Lennart Borgman \(gmail\)" <lennart.borgman@HIDDEN>
Cc: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
References: <871w026pyo.fsf@HIDDEN> <48BDD818.7040601@HIDDEN>
From: Chong Yidong <cyd@HIDDEN>
Date: Tue, 02 Sep 2008 20:25:21 -0400
In-Reply-To: <48BDD818.7040601@HIDDEN> (Lennart Borgman's message of "Wed\, 03 Sep 2008 02\:19\:36 +0200")
Message-ID: <87od365b4e.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

"Lennart Borgman (gmail)" <lennart.borgman@HIDDEN> writes:

> Chong Yidong wrote:
>> Are you able to reproduce this?
>
> No, unfortunately not. It could be some issues with resources of some
> kind (since I see very strange problems sometimes when the GDI objects
> gets to many), but I really do not know.

Okay.  I'm closing the bug; if you encounter the problem again, we can
re-open it.




Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-5.9 required=4.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_LOW autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:19:47 +0000
Received: from ch-smtp02.sth.basefarm.net (ch-smtp02.sth.basefarm.net [80.76.149.213])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830JhZT032233
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:19:45 -0700
Received: from c83-254-151-87.bredband.comhem.se ([83.254.151.87]:61563 helo=[127.0.0.1])
	by ch-smtp02.sth.basefarm.net with esmtp (Exim 4.68)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1Kag63-0007MN-6v; Wed, 03 Sep 2008 02:19:43 +0200
Message-ID: <48BDD818.7040601@HIDDEN>
Date: Wed, 03 Sep 2008 02:19:36 +0200
From: "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071031 Thunderbird/2.0.0.9 Mnenhy/0.7.5.666
MIME-Version: 1.0
To: Chong Yidong <cyd@HIDDEN>
CC: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
References: <871w026pyo.fsf@HIDDEN>
In-Reply-To: <871w026pyo.fsf@HIDDEN>
X-Enigmail-Version: 0.95.7
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Antivirus: avast! (VPS 080902-0, 2008-09-02), Outbound message
X-Antivirus-Status: Clean
X-Originating-IP: 83.254.151.87
X-ACL-Warn: Too high rate of unknown addresses received from you
X-Scan-Result: No virus found in message 1Kag63-0007MN-6v.
X-Scan-Signature: ch-smtp02.sth.basefarm.net 1Kag63-0007MN-6v be94002674ef5d7a748f988243e0dbf4

Chong Yidong wrote:
> Are you able to reproduce this?

No, unfortunately not. It could be some issues with resources of some
kind (since I see very strange problems sometimes when the GDI objects
gets to many), but I really do not know.




Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,BAYES_00 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:17:07 +0000
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830H4a0031913
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:17:06 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 80D5257E339; Tue,  2 Sep 2008 20:19:27 -0400 (EDT)
To: "Lennart Borgman \(gmail\)" <lennart.borgman@HIDDEN>
Cc: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
From: Chong Yidong <cyd@HIDDEN>
Date: Tue, 02 Sep 2008 20:19:27 -0400
Message-ID: <871w026pyo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Are you able to reproduce this?




Notification sent to "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Chong Yidong <cyd@HIDDEN>:
You have taken responsibility. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,BAYES_00 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:17:07 +0000
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830H4a0031913
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:17:06 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 80D5257E339; Tue,  2 Sep 2008 20:19:27 -0400 (EDT)
To: "Lennart Borgman \(gmail\)" <lennart.borgman@HIDDEN>
Cc: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
From: Chong Yidong <cyd@HIDDEN>
Date: Tue, 02 Sep 2008 20:19:27 -0400
Message-ID: <871w026pyo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Are you able to reproduce this?




Notification sent to kifer@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Chong Yidong <cyd@HIDDEN>:
You have taken responsibility. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,BAYES_00 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:17:07 +0000
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830H4a0031913
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:17:06 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 80D5257E339; Tue,  2 Sep 2008 20:19:27 -0400 (EDT)
To: "Lennart Borgman \(gmail\)" <lennart.borgman@HIDDEN>
Cc: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
From: Chong Yidong <cyd@HIDDEN>
Date: Tue, 02 Sep 2008 20:19:27 -0400
Message-ID: <871w026pyo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Are you able to reproduce this?




Notification sent to "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Chong Yidong <cyd@HIDDEN>:
You have taken responsibility. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,BAYES_00 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844-done) by emacsbugs.donarmstrong.com; 3 Sep 2008 00:17:07 +0000
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m830H4a0031913
	for <844-done@HIDDEN>; Tue, 2 Sep 2008 17:17:06 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 80D5257E339; Tue,  2 Sep 2008 20:19:27 -0400 (EDT)
To: "Lennart Borgman \(gmail\)" <lennart.borgman@HIDDEN>
Cc: 844-done <at> debbugs.gnu.org
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
From: Chong Yidong <cyd@HIDDEN>
Date: Tue, 02 Sep 2008 20:19:27 -0400
Message-ID: <871w026pyo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Are you able to reproduce this?




Notification sent to kifer@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Chong Yidong <cyd@HIDDEN>:
You have taken responsibility. Full text available.
Tags added: unreproducible Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=4.0 tests=AWL,BAYES_00,MISSING_SUBJECT,
	NOSUBJECT autolearn=no version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 844) by emacsbugs.donarmstrong.com; 1 Sep 2008 00:57:53 +0000
Received: from sbcs.cs.sunysb.edu (sbcs.sunysb.edu [130.245.1.15])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m810vnX7024752
	for <844@HIDDEN>; Sun, 31 Aug 2008 17:57:51 -0700
Received: from kiferserv (compserv1 [130.245.1.44])
	by sbcs.cs.sunysb.edu (8.13.6/8.12.11) with ESMTP id m810vlLV008161
	for <844@HIDDEN>; Sun, 31 Aug 2008 20:57:47 -0400 (EDT)
Date: Sun, 31 Aug 2008 20:57:48 -0400
From: Michael Kifer <kifer@HIDDEN>
To: 844 <at> debbugs.gnu.org
Message-ID: <20080831205748.7527edd8@kiferserv>
Reply-To: kifer@HIDDEN
Organization: Stony Brook University
X-Mailer: Claws Mail 3.5.0 (GTK+ 2.12.9; i486-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

This bug is not reproducible.




Acknowledgement sent to kifer@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text available.


Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#844; Package emacs. Full text available.
Merged 837 841 843 844. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-5.7 required=4.0 tests=AWL,BAYES_00,FOURLA,GMAIL,
	MURPHY_DRUGS_REL8,RCVD_IN_DNSWL_MED autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 31 Aug 2008 22:44:05 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m7VMi1ld011484
	for <submit@HIDDEN>; Sun, 31 Aug 2008 15:44:02 -0700
Received: from mx10.gnu.org ([199.232.76.166]:43449)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <kifer@HIDDEN>)
	id 1KZvco-00005E-Di
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 18:42:26 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <kifer@HIDDEN>)
	id 1KZveH-0000Rb-4b
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 18:44:00 -0400
Received: from sbcs.sunysb.edu ([130.245.1.15]:53842 helo=sbcs.cs.sunysb.edu)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <kifer@HIDDEN>)
	id 1KZveG-0000RT-Ox
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 18:43:56 -0400
Received: from kiferserv (compserv1 [130.245.1.44])
	by sbcs.cs.sunysb.edu (8.13.6/8.12.11) with ESMTP id m7VMhrRQ026172;
	Sun, 31 Aug 2008 18:43:54 -0400 (EDT)
Date: Sun, 31 Aug 2008 18:43:54 -0400
From: Michael Kifer <kifer@HIDDEN>
To: "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>
Cc: emacs-pretest-bug@HIDDEN
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
Message-ID: <20080831184354.0dafde58@kiferserv>
In-Reply-To: <48BB0FBD.4040209@HIDDEN>
References: <48BA9F45.2090908@HIDDEN>
	<20080831153637.1103334a@kiferserv>
	<48BB0FBD.4040209@HIDDEN>
Reply-To: kifer@HIDDEN
Organization: Stony Brook University
X-Mailer: Claws Mail 3.5.0 (GTK+ 2.12.9; i486-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-kernel: by monty-python.gnu.org: Solaris 10 (1203?)



On Sun, 31 Aug 2008 23:40:13 +0200
"Lennart Borgman (gmail)" <lennart.borgman@HIDDEN> wrote:

> Michael Kifer wrote:
> > 
> > On Sun, 31 Aug 2008 15:40:21 +0200
> > "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN> wrote:
> > 
> >> When I just made a checkout of Emacs from CVS I got a merge conflict
> >> which I used ediff-revision to resolve. I then got the following back
> >> trace when I did "wb" to save the corrected file:
> >>
> >> Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
> >>   call-process("diff" nil #<buffer *ediff-custom-diff*> nil "-c"
> > 
> > This says that the output of diff -c exceeds the buffer size.
> > 
> > It is unclear how this is related to ediff per se, since ediff merely calls
> > call-process with the above command.
> > 
> >> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> >> "c:/ecvsnew/bld/emacs/src/w32term.c")
> >>   apply(call-process "diff" nil #<buffer *ediff-custom-diff*> nil ("-c"
> >> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> >> "c:/ecvsnew/bld/emacs/src/w32term.c"))
> >>   ediff-exec-process("diff" #<buffer *ediff-custom-diff*> synchronize
> >> "-c" "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> >> "c:/ecvsnew/bld/emacs/src/w32term.c")
> >>   ediff-compute-custom-diffs-maybe()
> >>   ediff-save-buffer(nil)
> >>   call-interactively(ediff-save-buffer nil nil)
> >>
> >> Looking into ediff-custom-diff I can see there is some problem with ^M:
> > 
> > Can you explain what the problem is? It is unclear from the included text below.
> 
> Sorry, I thought the part of the output below should show it, but of
> course the ^M characters I saw is gone here...
> 
> Lines somewhere below the middle of the output below had extra ^M at the
> end of them.
> 
> I can't reproduce the problem now, maybe it was some kind of temporary
> problem - perhaps a bad checkin to the CVS at that time?

I don't know -haven't seen this. But the main problem seems to have been that
diff -c produced a very large buffer, although I can't imagine  how big it
could have been in order to cause the "Buffer exceeds maximum size" error.
In any case, it seems to be a problem with diff or call-process, if at
all.

> > In any case, I deed to be able to reproduce it in order to be able to determine
> > if something needs to be fixed in ediff. Right now it does not look like
> > an ediff problem.
> > 
> > michael
> > 
> > 
> >> ! 	emacs_event->part = scroll_bar_handle;
> >> ! 	y = 0;
> >> ! 	break;
> >>         case SB_BOTTOM:
> >> ! 	emacs_event->part = scroll_bar_handle;
> >> ! 	y = top_range;
> >> ! 	break;
> >>         case SB_THUMBTRACK:
> >>         case SB_THUMBPOSITION:
> >> ! 	if (VERTICAL_SCROLL_BAR_TOP_RANGE (f, XINT (bar->height)) <= 0xffff)
> >>             y = HIWORD (msg->msg.wParam);
> >>
> >> ! 	bar->dragging = Qt;
> >>
> >> ! 	emacs_event->part = scroll_bar_handle;
> >>
> >>
> >>
> >> ! 	/* "Silently" update current position.  */
> >>
> >> ! 	{
> >>
> >> ! 	  SCROLLINFO si;
> >>
> >>
> >>
> >>
> >> This was with my patched version, but I do not think I have any patches
> >> that comes in here:
> >>
> >> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
> >>  of 2008-08-28 (patched)
> >> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> >> configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'
> >>
> >>
> > 
> 




Acknowledgement sent to kifer@HIDDEN:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#844; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.